# Makefile for Rapid Binary Star Evolution program
CC      := $(shell ../binary_c-config cc)
LD   := $(shell ../binary_c-config ld)
PROGRAM := binary_c-apitest
MAKE    := /usr/bin/make
GIT_REVISION := $(shell ../binary_c-config git_revision)
GIT_URL := $(shell ../binary_c-config git_url)
CFLAGS  :=  $(shell ../binary_c-config cflags)
LIBDIRS := -L -L. -L../src/ $(shell ../binary_c-config libdirs)
INCDIRS := -I. -I/usr/include $(shell ../binary_c-config incdirs)
LIBS	:=  $(shell ../binary_c-config libs) -lbinary_c
C_SRC   :=  $(wildcard *.c) $(wildcard */*.c)
OBJECTS := $(C_SRC:.c=.o)
MAINS := $(filter ./main/src/main.o,$(OBJECTS))

%.o: %.c
	$(CC) $(CFLAGS) $(INCDIRS) $(LDFLAGS) $(LIBDIRS) $(LIBS) -c -o $@ $< 

apitest: $(OBJECTS)
	$(CC) $(CFLAGS) $(INCDIRS) $(LDFLAGS) $(OBJECTS) $(LIBDIRS) $(LIBS) -o $(PROGRAM)


clean:
	rm -f *.o */*.o
